org.apache.storm.generated

## Class TopologyActionOptions

- java.lang.Object
- - org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>
  - - org.apache.storm.generated.TopologyActionOptions

- All Implemented Interfaces:
    Serializable, Comparable<TopologyActionOptions>, org.apache.storm.thrift.TBase<TopologyActionOptions,TopologyActionOptions._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class TopologyActionOptions
      extends org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TopologyActionOptions._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<TopologyActionOptions._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

    - ### Fields inherited from class org.apache.storm.thrift.TUnion

      `setField_, value_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologyActionOptions()`
    `TopologyActionOptions(TopologyActionOptions._Fields setField, Object value)`
    `TopologyActionOptions(TopologyActionOptions other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkType(TopologyActionOptions._Fields setField, Object value)`
    `int` | `compareTo(TopologyActionOptions other)`
    `TopologyActionOptions` | `deepCopy()`
    `protected TopologyActionOptions._Fields` | `enumForId(short id)`
    `boolean` | `equals(Object other)`
    `boolean` | `equals(TopologyActionOptions other)`
    `TopologyActionOptions._Fields` | `fieldForId(int fieldId)`
    `KillOptions` | `get_kill_options()`
    `RebalanceOptions` | `get_rebalance_options()`
    `protected org.apache.storm.thrift.protocol.TField` | `getFieldDesc(TopologyActionOptions._Fields setField)`
    `protected org.apache.storm.thrift.protocol.TStruct` | `getStructDesc()`
    `int` | `hashCode()`
    `boolean` | `is_set_kill_options()`
    `boolean` | `is_set_rebalance_options()`
    `static TopologyActionOptions` | `kill_options(KillOptions value)`
    `static TopologyActionOptions` | `rebalance_options(RebalanceOptions value)`
    `void` | `set_kill_options(KillOptions value)`
    `void` | `set_rebalance_options(RebalanceOptions value)`
    `protected Object` | `standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field)`
    `protected void` | `standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`
    `protected Object` | `tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID)`
    `protected void` | `tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class org.apache.storm.thrift.TUnion

      `clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<TopologyActionOptions._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TopologyActionOptions

          public TopologyActionOptions()

    - #### TopologyActionOptions

          public TopologyActionOptions(TopologyActionOptions._Fields setField,
                                       Object value)

    - #### TopologyActionOptions

          public TopologyActionOptions(TopologyActionOptions other)

  - ### Method Detail

    - #### deepCopy

          public TopologyActionOptions deepCopy()

    - #### kill_options

          public static TopologyActionOptions kill_options(KillOptions value)

    - #### rebalance_options

          public static TopologyActionOptions rebalance_options(RebalanceOptions value)

    - #### checkType

          protected void checkType(TopologyActionOptions._Fields setField,
                                   Object value)
                            throws ClassCastException

      Specified by:
        `checkType` in class `org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>`
      Throws:
        `ClassCastException`

    - #### standardSchemeReadValue

          protected Object standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot,
                                                   org.apache.storm.thrift.protocol.TField field)
                                            throws org.apache.storm.thrift.TException

      Specified by:
        `standardSchemeReadValue` in class `org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### standardSchemeWriteValue

          protected void standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)
                                           throws org.apache.storm.thrift.TException

      Specified by:
        `standardSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### tupleSchemeReadValue

          protected Object tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot,
                                                short fieldID)
                                         throws org.apache.storm.thrift.TException

      Specified by:
        `tupleSchemeReadValue` in class `org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### tupleSchemeWriteValue

          protected void tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)
                                        throws org.apache.storm.thrift.TException

      Specified by:
        `tupleSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### getFieldDesc

          protected org.apache.storm.thrift.protocol.TField getFieldDesc(TopologyActionOptions._Fields setField)

      Specified by:
        `getFieldDesc` in class `org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>`

    - #### getStructDesc

          protected org.apache.storm.thrift.protocol.TStruct getStructDesc()

      Specified by:
        `getStructDesc` in class `org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>`

    - #### enumForId

          protected TopologyActionOptions._Fields enumForId(short id)

      Specified by:
        `enumForId` in class `org.apache.storm.thrift.TUnion<TopologyActionOptions,TopologyActionOptions._Fields>`

    - #### fieldForId

          public TopologyActionOptions._Fields fieldForId(int fieldId)

    - #### get_kill_options

          public KillOptions get_kill_options()

    - #### set_kill_options

          public void set_kill_options(KillOptions value)

    - #### get_rebalance_options

          public RebalanceOptions get_rebalance_options()

    - #### set_rebalance_options

          public void set_rebalance_options(RebalanceOptions value)

    - #### is_set_kill_options

          public boolean is_set_kill_options()

    - #### is_set_rebalance_options

          public boolean is_set_rebalance_options()

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(TopologyActionOptions other)

    - #### compareTo

          public int compareTo(TopologyActionOptions other)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.